/*

    File:     breakout.h

    Ref. No:  n/a

    Author:   James Garacci

    Date:     5-APR-1995

    Purpose:

	The purpose of this module is to declare function protoypes, macros, 
	structures, and constants necessary to use the breakout modules.

    Structure Declarations:  */

typedef struct
{
   DOUBLE_LIST_NODE *Flink
                  , *Blink;
   unsigned long color;
   int state
     , value
     , x
     , y;
}
   Object_Node;

/*  Function Prototypes:  */

unsigned long add_a_color (Widget  widget
                          ,XColor *color);

unsigned long store_color (Display  *display
                          ,Visual   *visual
                          ,Colormap  colormap
                          ,XColor   *new_color);

int file_load_level (char *file_name
                    ,Object_Node **list);

void init_breakout (void);

void move_paddle (Widget widget
                 ,XtPointer stuff
                 ,XEvent *event
                 ,Boolean *continue_to_dispatch);

void set_gc_color (unsigned long color
                  ,unsigned long backup
                  ,Display *display
                  ,GC *gc);

void update_display (void);

/*  Macro Declarations: */

/*  Constant Declarations:  */
