#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <ctype.h>
#include <limits.h>
#include <Mrm/MrmAppl.h>
#include <X11/X.h>
#include <X11/Xutil.h>
#include <X11/Xlib.h>
#include <Xm/Text.h>
#include <X11/cursorfont.h>
#include <X11/keysym.h>
#include <Xm/FileSB.h>
#include "dll.h"
#include "motif.h"
#include "motif.ext"
#include "breakout.h"
#include "breakout.ext"

/**************************************************
**      cb_redraw
**************************************************/
void cb_redraw (Widget               w
               ,int                 *tag
               ,XmAnyCallbackStruct *callback_data)
{
   Dimension   wid_width, wid_height;
   int         width, height;
   XtIntervalId id;

   XtVaGetValues (w
                 ,XmNwidth, &wid_width
                 ,XmNheight, &wid_height
                 ,NULL);

   width = wid_width;
   height = wid_height;

   if (!initialized)
   {
      init_breakout ();
      initialized = 1;
   }

   XCopyArea (XtDisplay(w)
             ,pixmap[0]
             ,XtWindow(w)
             ,XDefaultGCOfScreen (XtScreen (w))
             ,0
             ,0
             ,width
             ,height
             ,0
             ,0);
}
