/*

    File:     double.h

    Ref. No:  n/a

    Author:   James Garacci

    Date:     15-DEC-1993

    Purpose:

	The purpose of this module is to declare function protoypes, macros, 
	structures, and constants necessary to use the double linked list
	modules.

    Structure Declarations:  */

typedef struct node DOUBLE_LIST_NODE;

struct node
{
   DOUBLE_LIST_NODE *Flink;
   DOUBLE_LIST_NODE *Blink;
};

/*  Function Prototypes:  */

DOUBLE_LIST_NODE *init_headnode(void);

void add_node_to_dll (DOUBLE_LIST_NODE *list_pointer
		     ,DOUBLE_LIST_NODE *new_node_pointer);

void remove_node_from_dll(DOUBLE_LIST_NODE *node_pointer);
